eth_getFilterChanges

Returns an array of objects of type Log

an array of block hashes (for eth_newBlockFilter)
or an array of transaction hashes (for eth_newPendingTransactionFilter)
or an empty array if nothing has changed since the last poll.

Note

In solidity: The first topic is the hash of the signature of the event
(if you have not declared the event anonymous.

Parameters

  • QUANTITY - The filter id

Returns

  • Object - An object of type FilterLog is defined as
    • removed: BOOLEAN - true when the log was removed, due to a chain reorganization.
      false if its a valid log
    • logIndex: QUANTITY - Integer of the log index position in the block. null when its pending log
    • transactionIndex: QUANTITY - Integer of the transactions index position log was created from.
      null when its pending log
    • transactionHash: DATA, 32 Bytes - hash of the transactions this log was created from.
      null when its pending log
    • blockHash: DATA, 32 Bytes - hash of the block where this log was in. null when its pending.
      null when its pending log
    • blockNumber: QUANTITY - The block number where this log was in. null when its pending.
      null when its pending log
    • address: DATA, 20 Bytes - address from which this log originated
    • data: DATA - contains one or more 32 Bytes non-indexed arguments of the log
    • topics: Array of DATA - Array of 0 to 4 32 Bytes DATA of indexed log arguments.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to demo
Body Params
integer
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to eth_getFilterChanges
params
array
required
Defaults to 0x1234
Params*
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json